Package org.eclipse.birt.core.util

# Class CommonUtil

java.lang.Object
org.eclipse.birt.core.util.CommonUtil

public class CommonUtil extends Object
To provide common utility method in BIRT

## Constructor Summary

Constructors
Constructor
Description
`CommonUtil()`

## Method Summary

Modifier and Type
Method
Description
`static SAXParser`
`createSAXParser()`
Creates SAX parser and disables XXE

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommonUtil

public CommonUtil()

## Method Details

### createSAXParser

public static SAXParser createSAXParser() throws ParserConfigurationException, SAXException
Creates SAX parser and disables XXE

Returns:
  new SAX parser
Throws:
  `ParserConfigurationException`
  `SAXException`